Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
code_based_key_gen.cpp File Reference
`#include <botan/mceliece.h>`
`#include <botan/internal/mce_internal.h>`
`#include <botan/internal/code_based_util.h>`
`#include <botan/loadstor.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
McEliece_PrivateKey | Botan::generate_mceliece_key (RandomNumberGenerator &rng, uint32_t ext_deg, uint32_t code_length, uint32_t t)

## Variable Documentation

uint32_t m_coln

Definition at line 50 of file code_based_key_gen.cpp.

std::vector<uint32_t> m_elem

Definition at line 52 of file code_based_key_gen.cpp.

uint32_t m_rown

Definition at line 49 of file code_based_key_gen.cpp.

uint32_t m_rwdcnt

Definition at line 51 of file code_based_key_gen.cpp.